package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class UraianTugasMVO extends BaseMasterVO {

	@Caption(value = "periode")
	@NotNull(message = "Periode tidak boleh kosong")
	@Column(name = "periode", nullable = true)
	private String periode;

	@ManyToOne
	@JoinColumn(name = "ObjectJabatanFk")
	@Caption(value = "Object Jabatan")
	private JabatanVO jabatan;

	@Column(name = "ObjectJabatanFk", insertable = false, updatable = false, nullable = true)
	private Integer jabatanId;

	@ManyToOne
	@JoinColumn(name = "ObjectRincianTugasFk")
	@Caption(value = "Object Rincian Tugas")
	private RincianKegiatanVO rincianKegiatan;

	@Column(name = "ObjectRincianTugasFk", insertable = false, updatable = false, nullable = true)
	private Integer rincianKegiatanId;

	@ManyToOne
	@JoinColumn(name = "ObjectDokumenFk")
	@Caption(value = "Object Dokumen Tugas")
	private DokumenVO dokumen;

	@Column(name = "ObjectDokumenFk", insertable = false, updatable = false, nullable = true)
	private Integer dokumenId;

	@ManyToOne
	@JoinColumn(name = "ObjectPelaksanaanTugasFk")
	@Caption(value = "Object Pelaksanaan Tugas")
	private PelaksanaanTugasVO pelaksanaanTugas;

	@Column(name = "ObjectPelaksanaanTugasFk", insertable = false, updatable = false, nullable = true)
	private Integer pelaksanaanTugasId;

	public String getPeriode() {
		return periode;
	}

	public void setPeriode(String periode) {
		this.periode = periode;
	}

	public JabatanVO getJabatan() {
		return jabatan;
	}

	public void setJabatan(JabatanVO jabatan) {
		this.jabatan = jabatan;
	}

	public Integer getJabatanId() {
		return jabatanId;
	}

	public void setJabatanId(Integer jabatanId) {
		this.jabatanId = jabatanId;
	}

	public RincianKegiatanVO getRincianKegiatan() {
		return rincianKegiatan;
	}

	public void setRincianKegiatan(RincianKegiatanVO rincianKegiatan) {
		this.rincianKegiatan = rincianKegiatan;
	}

	public Integer getRincianKegiatanId() {
		return rincianKegiatanId;
	}

	public void setRincianKegiatanId(Integer rincianKegiatanId) {
		this.rincianKegiatanId = rincianKegiatanId;
	}

	public DokumenVO getDokumen() {
		return dokumen;
	}

	public void setDokumen(DokumenVO dokumen) {
		this.dokumen = dokumen;
	}

	public Integer getDokumenId() {
		return dokumenId;
	}

	public void setDokumenId(Integer dokumenId) {
		this.dokumenId = dokumenId;
	}

	public PelaksanaanTugasVO getPelaksanaanTugas() {
		return pelaksanaanTugas;
	}

	public void setPelaksanaanTugas(PelaksanaanTugasVO pelaksanaanTugas) {
		this.pelaksanaanTugas = pelaksanaanTugas;
	}

	public Integer getPelaksanaanTugasId() {
		return pelaksanaanTugasId;
	}

	public void setPelaksanaanTugasId(Integer pelaksanaanTugasId) {
		this.pelaksanaanTugasId = pelaksanaanTugasId;
	}

}
